sisniff
-------

Like tcpdump, sisniff captures and displays all connections from and to the local machine. 
Additionally it will show you the <b>applications belonging to each packet</b>.<br> 

It supports TCP, UDP and ICMP packets, both IPv4 and IPv6<br>
The Sniffer accepts some filter like tcpdump.<br>
<p>

For HTTP connections, there is an argument to show part of its payload.<br>

 
Under some cirumstances the program/PID cannot be evaluated. This mavericks would be reported as follow:
<pre>
 "?/?" = No entry in /proc/net/[TCP/UDP/ICMP]
 "-/-" = Found Inode but no PID
 "./." = The Inode found is '0'
</pre>
 

<p><i>
!! sisniff uses scapy's sniff() function, so scapy package is needed:<br>
!! debian: apt-get install scapy<br>
!! pip: pip/pip3 install scapy<br>
!! other systems: http://www.secdev.org/projects/scapy<br>
</i>


This program needs Python 3.x or Python 2.x. 

Current Version can be downloaded from Git at: https://git.zweiernet.ch/sigi/sisniff

<pre>
--------------------

# sisniff -h
usage: sisniff [-h] -i {eth0,lo,wlan0} [-n] [-p program|not-program] [-4] [-6] [-pH] [-pHl] [filter]

sisniff V1.00
2017-2019 by sigi <https://wiki.zweiernet.ch/wiki/sisniff>

positional arguments:
  filter                Filter (BPF syntax) on top of IP (in dbl-quotes "...")

optional arguments:
  -h, --help            show this help message and exit
  -i {eth0,lo,wlan0}	Interface (required)
  -n                    Do not resolve IP-Addresses
  -p program|not-program
                        Filter by program name ([not-] negates)
  -4                    Only IPv4
  -6                    Only IPv6
  -pH                   Show HTTP Payload
  -pHl                  Show HTTP Payload, long output
--------------------
</pre>

* Interfaces showed in the help are gathered from the running system.
* <code>program</code> means the name in the 'Program' column, e.g. <code>thunderbird-bin</code>
* <code>not-program</code> excludes the program from beeing showed, e.g. <code>not-thunderbird-bin</code>
* <code>filter</code> is in same syntax as tcpdump uses. Must be written in double-quotes "..."


